__author__ = 'James'

def handleLevel ( fHandle, name ):
    stars = int(fHandle.readline().split('=')[1])
    time =  int(fHandle.readline().split('=')[1])
    pinches =  int(fHandle.readline().split('=')[1])
    return {'stars' : stars,
            'time' : time,
            'pinches' : pinches
            }

import sys, os, json

packFile = sys.argv[1]

fHandle = open ( packFile, 'r' )

#Begin processing file
levelPack = fHandle.readline()

levelPackId = int(levelPack.split(' ')[1])
levelCount = 0

packInfo = {'packId' : levelPackId}

while True:
    testline = fHandle.readline()
    if len(testline) == 0:
        break # EOF

    values = testline.split('=')

    if len(values) != 2: continue

    if values[0] == 'lTitle':
        levelCount += 1
        levelId = levelPackId * 1000 + levelCount

        packInfo[levelId] = handleLevel(fHandle, values[1])

fHandle.close ()

outFileName = os.path.splitext(packFile)[0]
outFileName += '.txt'

oFile = open ( outFileName, "w" )
json.dump(packInfo, oFile)
oFile.close ()

print ( "Finished processing levels")